% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/internal-plotting_helpers.R
\name{plot_time_effect}
\alias{plot_time_effect}
\title{Plot time effects with uncertainty ribbons}
\usage{
plot_time_effect(
  data,
  x_lab,
  y_lab,
  family,
  color_palette,
  plot_theme,
  legend_title = "Strata"
)
}
\arguments{
\item{data}{A data frame with columns: x, median_differences, hpd_lower, hpd_upper, Strata.}

\item{x_lab}{Label for the x-axis.}

\item{y_lab}{Label for the y-axis.}

\item{family}{A string indicating model family ("binomial", "poisson", or other).}

\item{color_palette}{A named vector of colors for strata.}

\item{plot_theme}{A ggplot2 theme object.}

\item{legend_title}{Title for the legend.}
}
\value{
A ggplot object.
}
\description{
Internal plotting helper to visualize median differences over time (or other x-axis),
including HPD interval ribbons and stratified lines.
}
\keyword{internal}
